import request from '@/utils/request'

// 查询一级专业列表
export function listSyMajorSubject(query) {
  return request({
    url: '/sy/syMajorSubject/list',
    method: 'get',
    params: query
  })
}

// 查询一级专业详细
export function getSyMajorSubject(id) {
  return request({
    url: '/sy/syMajorSubject/' + id,
    method: 'get'
  })
}

// 新增一级专业
export function addSyMajorSubject(data) {
  return request({
    url: '/sy/syMajorSubject',
    method: 'post',
    data: data
  })
}

// 修改一级专业
export function updateSyMajorSubject(data) {
  return request({
    url: '/sy/syMajorSubject',
    method: 'put',
    data: data
  })
}

// 删除一级专业
export function delSyMajorSubject(id) {
  return request({
    url: '/sy/syMajorSubject/' + id,
    method: 'delete'
  })
}

// 导出一级专业
export function exportSyMajorSubject(query) {
  return request({
    url: '/sy/syMajorSubject/export',
    method: 'get',
    params: query
  })
}